﻿---
- name: Install Zabbix-agent, Apache, Docker
  hosts: PROD 

  tasks:
  - name: Check and Print Linux OC
    debug: var=ansible_os_family

  - block: #Block for Centos 
    
      - name: Install Zabbix-agent for Centos
        yum:
          name: https://repo.zabbix.com/zabbix/4.2/rhel/7/x86_64/zabbix-agent-4.2.8-1.el7.x86_64.rpm
          state: present
     
      - name: Open 100500 port for Zabbi-agent for Centos 
        iptables:
          chain: INPUT
          protocol: tcp
          destination_port: '10050'
          ctstate: NEW
          jump: ACCEPT
          action: insert 

      - name: enter actually IP for zabbix_agent.conf for Centos
        command: sed -i 's/127.0.0.1/194.67.112.183/g' /etc/zabbix/zabbix_agentd.conf

      - name: Start Zabbix for Centos
        service: name=zabbix-agent state=started enabled=yes 

      - name: Save rules for Centos 
        shell: iptables-save > /etc/sysconfig/iptables-config

      - name: Docker Install for Centos 
        shell: curl -fsSL https://get.docker.com/ | sh
      - name: Docker UP for Centos 
        service: name=docker state=started enabled=yes

      - name: Install Apache for Centos 
        yum: name=httpd state=installed
      - name: Apache UP 
        service: name=httpd state=started enabled=yes
    when: ansible_os_family == "RedHat"
   
  
  - block: #Block for Debian 
    
      -  name: download Zabbix-agent for Debian
         apt:
           deb: https://repo.zabbix.com/zabbix/4.2/debian/pool/main/z/zabbix/zabbix-agent_4.2.8-1%2Bbuster_amd64.deb
           state: present
     
      - name: Open 100500 port for Zabbi-agent for Debian 
        iptables:
          chain: INPUT
          protocol: tcp
          destination_port: '10050'
          ctstate: NEW
          jump: ACCEPT
          action: insert

      - name: enter actually IP for zabbix_agent.conf for Debian 
        command: sed -i 's/127.0.0.1/194.67.112.183/g' /etc/zabbix/zabbix_agentd.conf

      - name: Start Zabbix for Debian
        service: name=zabbix-agent state=started enabled=yes

      - name: Install Apache Debian
        apt: name=apache2 update_cache=yes state=latest
      - name: Apache UP	Debian
        service: name=apache2 state=started enabled=yes
      - name: Install needs packet  Debian
        apt: 
          name:
            - apt-transport-https
            - ca-certificates
            - software-properties-common
            - curl
            - python3-pip
          state: latest
          update_cache: yes
      - name: Add GPG-key repo Docker or Debian
        apt_key: 
          url: https://download.docker.com/linux/ubuntu/gpg 
          state: present 
      - name: Add Docker Repository for Debian
        apt_repository:
          repo: deb https://download.docker.com/linux/ubuntu bionic stable
          state: present   
      - name: apt update and install Docker-ce for Debian 
        apt: update_cache=yes name=docker-ce state=present 

      - name: Docker UP for Debian
        service: name=docker state=started enabled=yes
    when: ansible_os_family == "Debian"                                       

